unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Psock, NMFtp, FileCtrl;

type
  TForm1 = class(TForm)
    NMFTP1: TNMFTP;
    Panel1: TPanel;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label5: TLabel;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    FileListBox1: TFileListBox;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button2Click(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure NMFTP1Connect(Sender: TObject);
    procedure NMFTP1TransactionStart(Sender: TObject);
    procedure NMFTP1TransactionStop(Sender: TObject);
    procedure NMFTP1ConnectionFailed(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
NMFTP1.Host:=Edit1.Text; //Hote (ex :ftpperso.free.fr)
NMFTP1.Port:=StrToInt(Edit4.Text); //Port (ex : 21)
NMFTP1.UserID:=Edit2.Text; //Login (ex: delphi)
NMFTP1.Password:=Edit3.Text; //Mot de passe
NMFTP1.Connect; //Etablie la connexion
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//Si on est connecte alors on se deconnecte puis on quitte l'application
if NMFTP1.Connected=True then
NMFTP1.Disconnect;
end;

procedure TForm1.Button2Click(Sender: TObject);
var nom:string;
begin
nom:=ExtractFileName(Label6.caption); //Extrait le nom du fichier et l'extension
//Envoie un fichier de l'ordinateur local vers l'hote
NMFTP1.Upload(Label6.caption,nom);
//Le premier parametre correspond au nom du fichier local
//Le deuxieme parametre correspond au nom du fichier hote
end;

procedure TForm1.FileListBox1Change(Sender: TObject);
begin
Label6.Caption:=Form1.FileListBox1.FileName;
end;

procedure TForm1.NMFTP1Connect(Sender: TObject);
begin
Label7.Visible:=True; //Affiche si la connexion a t tablie
Label7.Caption:='La connection a t tablie';
end;

procedure TForm1.NMFTP1TransactionStart(Sender: TObject);
begin
Label8.Visible:=True; //Dbut du transfer
end;

procedure TForm1.NMFTP1TransactionStop(Sender: TObject);
begin
Label8.Caption:='Transfert termin'; //Fin du transfer
end;

procedure TForm1.NMFTP1ConnectionFailed(Sender: TObject);
begin
Label7.Visible:=True; //Affiche si la connexion n'a pas t tablie
Label7.Caption:='La connection n''a pas t tablie';
end;

end.
